import type { ActionStorage } from "../../../core/index.js";
import { type Logger2 } from "../../../logger.js";
import { type AutocompleteAction, type AutocompleteHandler } from "../Autocomplete/index.js";
import type { Config } from "./types.js";
declare module 'prosemirror-model' {
    interface NodeSpec {
        commandMenu?: boolean;
    }
}
export type CommandHandlerParams = {
    logger: Logger2.ILogger;
    actions: Config;
    storage: ActionStorage;
    nodesIgnoreList?: readonly string[];
};
export declare class CommandHandler implements AutocompleteHandler {
    #private;
    constructor({ logger, actions, storage, nodesIgnoreList }: CommandHandlerParams);
    onOpen(action: AutocompleteAction): boolean;
    onFilter(action: AutocompleteAction): boolean;
    onArrow(action: AutocompleteAction): boolean;
    onEnter(action: AutocompleteAction): boolean;
    onClose(action: AutocompleteAction): boolean;
    onDestroy(): void;
    private closeAutocomplete;
    private shouldIgnore;
    private select;
    private filterActions;
    private render;
    private onItemClick;
    private updateState;
    private clear;
    private createMenuRenderItem;
    private findAnchor;
}
